<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Core function: 
* con_teachers.inc.php: last changed 22/04/2010 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['teacher_id']))
{
	$teacher_id = intval($_GET['teacher_id']);
}

if (IsSet ($_POST['fullname']))
{
	$fullname = sanitize($_POST['fullname'], 60, 'S');
}
if (IsSet ($_POST['username']))
{
	$username = sanitize($_POST['username'], 20, 'S');
}
if (IsSet ($_POST['password']))
{
	$password = sanitize($_POST['password'], 15, 'S');
}
if (IsSet ($_POST['project']))
{
	$project = $_POST['project'];	//array with project numbers
	$project = array_map(validate_array, $project);	//sanitize into integers only
}
if (IsSet ($_POST['class']))
{
	$group = $_POST['class'];	//array with class numbers
	if(count($group) > 1)
	{
		$group = array_map(validate_array, $group);	//sanitize into integers only
	}
}

if (IsSet ($_POST['type']))
{
	$type = intval($_POST['type']);
}
$initial = 0 ; //default
if (IsSet ($_POST['initial']))
{
	$initial = intval($_POST['initial']);
}
if (IsSet ($_POST['email']))
{
	$email = sanitize($_POST['email'], 80, 'A');
}

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 20, 'A');
}
else
{
	$modoption = "teachers_list";
}

if (($sas_config[use_encryption] == 1) AND ($password != "") AND ($password != "********")) //passwords are encrypted and not blank
{
	$password = md5($password);
}

include ("interface/header.inc.php");
?>
<script language="JavaScript" type="text/javascript">
function checkinput ( form )
{
    if (form.fullname.value == "") 
	{
    alert( "<?php echo $sas_lang['input_error'] ?>" );
    form.fullname.focus();
    return false ;
    }
    if (form.username.value == "") 
	{
    alert( "<?php echo $sas_lang['input_error'] ?>" );
    form.username.focus();
    return false ;
    }
    if (form.password.value == "") 
	{
    alert( "<?php echo $sas_lang['input_error'] ?>" );
    form.password.focus();
    return false ;
    }
    if (form.password.value.length < 4) 
	{
    alert( "<?php echo $sas_lang['password_length_error'] ?>" );
    form.password.focus();
    return false ;
    }
  return true ;
}
</script>
<?php
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");

$class = "";
if($modoption == "teacher_list") $class = "class='active'";
print "<li $class>
<a href=\"index.php?option=configuration&suboption=teachers&modoption=teachers_list\">" . $sas_lang['teachers'] . "</a></li>";

$class = "";
if($modoption == "import") $class = "class='active'";
print "<li $class>
<a href=\"index.php?option=configuration&suboption=teachers&modoption=import\">" . $sas_lang['import_import'] . "</a></li>";

include ("interface/menuend.inc.php");

if (substr("$access", 7, 1) != 1) //bit 9 off the accessrights
{
	print "<span class=\"sas_module_title\">" . $sas_lang['noaccess'] . "<br></span>";
	print "" . $sas_lang['noaccess_introduction'] . "</span><br><br><br>";
	include ("interface/footer.inc.php");
	exit;
}

print "<span class=\"sas_module_title\">" . $sas_lang['teachers'] . "<br></span>";

switch ($modoption) // start of switch
{
	case delete_teacher :
	
		if (IsSet ($_GET['type']))
		{
			$type = intval($_GET['type']);
		}
		if ($type == 22)
		//Added by Alain Riffart
		{ // Update type only
			mysqli_query($db,"UPDATE $table_users SET type = '20' WHERE id = '".$teacher_id."'");
			mysqli_query($db,"UPDATE $table_users SET class = NULL WHERE id = '".$teacher_id."'"); // last change 19/03/05 Alain Riffart
		}
		else
		{ //End 
			mysqli_query($db,"DELETE FROM $table_users WHERE id = '".$teacher_id."' LIMIT 1");
		}
		mysqli_query($db,"DELETE FROM $table_studentpages WHERE dir_number = '".$teacher_id."'"); //delete the teacherpage
	
		$teacher_path = $sas_config['serverpath'] . $sas_config['user_path'] . "/studentpages/" . $teacher_id . "/";
	
		if (file_exists($teacher_path)) //first check if the teacher directory exists
		{
			delete_files($teacher_id); //delete all the file in the teachers directory
			rmdir($teacher_path); //delete the pupils root directory
		}
		//return to the teachers  list
		print "<script language='javascript'>window.location = 'index.php?option=configuration&suboption=teachers'</script>";
	
	break;
	
	case save_admin :
	
		if (IsSet ($_POST['user_id']))
		{
			$user_id = intval($_POST['user_id']);
		} //added by Alain Riffart
		
		mysqli_query($db,"UPDATE $table_users SET type = '$type' WHERE id = '".$user_id."'");
		mysqli_query($db,"UPDATE $table_users SET class = '$group' WHERE id = '".$user_id."'");
		
		print "<script language=\"Javascript\">window.location = 'index.php?option=configuration&suboption=teachers&modoption=teachers_list'</script>";
	
	break;
	
	case save_teacher :
		
		if (count($project) == 0)
		{
			$comma_separated_project = "";
		}
		else
		{
			$comma_separated_project = implode(",", $project);
		}
		if (count($group) == 0)
		{
			$comma_separated_class = "";
		}
		else
		{
			$comma_separated_class = implode(",", $group);
		}
	
		if ($teacher_id == 0)	//we have a new teacher to store
		{
	
			$query = mysqli_query($db,"SELECT username FROM $table_users WHERE username = '$username'");
			$results = mysqli_num_rows($query);
			if ($results != '0')
			{
				print "<script language=\"Javascript\">
					   <!--
					   alert (\"" . $sas_lang['student_name_exists'] . "\");
					   history.go(-1) ;
					   //-->
					   </script>";
			}
			else
			{
				mysqli_query($db,"INSERT INTO $table_users (name, username, password, email, type, class, access, project, initial) 
						   VALUES ('$fullname', '$username',  '$password',  '$email', '$type', '$comma_separated_class', '000000000000,000000000000', '$comma_separated_project', '$initial')");
			}
			//Lines added by Alain Riffart
		}
		else
		{
			$query = mysqli_query($db,"SELECT username FROM $table_users WHERE username = '$username' AND id != '".$teacher_id."'");
			$results = mysqli_num_rows($query);
			if ($results != '0') //an other user with this username exists, give error
			{
				print "<script language=\"Javascript\">
					   <!--
					   alert (\"" . $sas_lang['student_name_exists'] . "\");
					   window.location = 'index.php?option=configuration&suboption=teachers&modoption=edit_teacher&user=$teacher_id' ;	
					   //-->
					   </script>"; //return to the user edit window.
			}
			else
			{
				mysqli_query($db,"UPDATE $table_users SET name='$fullname', 
												   username='$username',  
												   email='$email', 
												   class='$comma_separated_class', 
												   type='$type',
												   project = '$comma_separated_project',
												   initial = '$initial'
												   WHERE id = '".$teacher_id."'");
												   
				if (($password != "") AND ($password != "********")) //only save password when not empty.
				{
					mysqli_query($db,"UPDATE $table_users SET password = '$password', invalid_logins = 0 WHERE id='$teacher_id'");
				}
			}
		}
			print "<script language=\"Javascript\">window.location = 'index.php?option=configuration&suboption=teachers&modoption=teachers_list'</script>";
		
	break;
	
	case new_teacher :
		
		print "<p><span class=\"sas_module_subtitle\">" . $sas_lang['newteacher'] . ":</span><p>";
		print "<FORM METHOD=\"POST\" NAME=\"theForm\" ACTION=\"index.php?option=configuration&suboption=teachers&modoption=save_teacher&teacher_id=0\">";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"720\" bgcolor=\"#CECECE\"><tr>
				<td class=\"sas_row_color_even\"><b>" . $sas_lang['fullname'] . ":</b> (*)</td>
				<td class=\"sas_row_color_even\"><input tabindex=\"1\" type=\"text\" name=\"fullname\" size=\"40\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['fullname_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\"><b>" . $sas_lang['username'] . ":</b> (*)</td>
				<td class=\"sas_row_color_even\"><input tabindex=\"2\" type=\"text\" name=\"username\" size=\"20\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['username_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\"><b>" . $sas_lang['password'] . ":</b> (*)</td>
				<td class=\"sas_row_color_even\"><input tabindex=\"3\" type=\"password\" name=\"password\" size=\"20\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['password_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\"><b>" . $sas_lang['email'] . ":</b></td>
				<td class=\"sas_row_color_even\"><input tabindex=\"4\" type=\"text\" name=\"email\" size=\"60\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['email_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\"><b>" . $sas_lang['change_password_at_next_logon'] . ":</b>&nbsp;
			   <input type=\"checkbox\" value=\"1\" name=\"initial\" checked></td></tr>";
			   
		$query = "SELECT id, name FROM $table_classes WHERE project = 0 ORDER BY name";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\"><table width=\"100%\">\n";
		print "<tr><td colspan=\"6\"><br><b>" . $sas_lang['class'] . ":</b>&nbsp;&nbsp;
		<img src=\"graphics/help.gif\" title=\"" . $sas_lang['class_tip'] . "\" class=\"tooltip\"></td></tr>
		<tr>"; //classes
		$i = 0;
		$j = 0;
		while ($class_list = mysqli_fetch_array($result))
		{
			$class_name = stripslashes($class_list[1]);
	
			print "<td width=\"25%\"><b>$class_name</b></td>
					<td><input type=\"checkbox\" value=\"$class_list[0]\" name=\"class[$j]\"></td><td width=\"10%\">&nbsp;</td>\n";
			if ($i == 2)
			{
				print "</tr><tr>";
				$i = 0;
			}
			else
			{
				$i++;
			}
			$j++;
		}
	
		print "<tr><td colspan=\"6\" class=\"sas_row_color_even\"><br><b>" . $sas_lang['student_projects'] . ":&nbsp;&nbsp;
		<img src=\"graphics/help.gif\" title=\"" . $sas_lang['student_project_tip'] . "\" class=\"tooltip\"></td></tr>";
	
		$query = "SELECT id, name FROM $table_classes WHERE project = 1 ORDER BY name";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 

		print "<tr>";
		$i = 0;
		$j = 0;
		while ($project_list = mysqli_fetch_array($result))
		{
			$project_name = stripslashes($project_list[1]);
	
			print "<td width=\"25%\"><b>$project_name</b></td>
					<td><input type=\"checkbox\" value=\"$project_list[0]\" name=\"project[$j]\"></td><td width=\"10%\">&nbsp;</td>\n";
			if ($i == 2)
			{
				print "</tr><tr>";
				$i = 0;
			}
			else
			{
				$i++;
			}
			$j++;
		}
		print "</table></td></tr>";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['teacher_is_user'] . " ";
		print $sas_lang['yes'] ;
		print "<input type=\"radio\" value=\"22\" name=\"type\">";
		print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
		print "<input type=\"radio\" name=\"type\" value=\"2\" checked></td>";
		print "</tr></table>";
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=configuration&suboption=teachers'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;
	
	case teachers_list :
	
		print $sas_lang['teachers_introduction'] . "<br /><br />";

		print "<table border=\"0\">
			   <tr><td>&nbsp;</td><td width=\"200\">" . $sas_lang['teachers'] . ":</td>
			   <td width=\"30\">&nbsp;</td><td>" . $sas_lang['username'] . ":</td>
			   <td width=\"30\">&nbsp;</td><td>" . $sas_lang['email'] . ":</td>
			   <td width=\"30\">&nbsp;</td><td>" . $sas_lang['class'] . ":</td>
			   <td width=\"30\">&nbsp;</td><td>" . $sas_lang['student_projects'] . ":</td></tr>";
		$bgcolor = "#F7F7F7";
	
		$query = "SELECT id, name, class, type, project, username, email, invalid_logins FROM $table_users WHERE type = 22 OR type = 2 ORDER BY username";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		if ($result)
		{
			while ($users_list = mysqli_fetch_array($result))
			{
				$revoke = "";
				if($users_list[7] > 9)
				{
					$revoke = "<img src=\"graphics/locked.gif\" alt=\"".$sas_lang['user_revoked']."\" title=\"".$sas_lang['user_revoked']."\"\>";
				}
				$teacherclass = "";
				$teacher_project = " ";
				$type = $users_list[3];
				$class_list = explode(",", $users_list[2]);
				foreach ($class_list as $value)
				{
					$query2 = "SELECT name FROM $table_classes WHERE id = '$value'"; // getting the teachers classes
					$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
					if (mysqli_num_rows($result2) == 1)
					{
						$teacherclass .= stripslashes(mysqli_result($result2, 0)) . "<br>";
					}
					else
					{
						$teacherclass = " ";
					}
				}
				unset ($query2);
				unset ($result2);
				$project_list = explode(",", $users_list[4]);
				foreach ($project_list as $value)
				{
					$query2 = "SELECT name FROM $table_classes WHERE id = '$value'"; // getting the teachers proejcts
					$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
					if (mysqli_num_rows($result2) == 1)
					{
						$teacher_project .= stripslashes(mysqli_result($result2, 0)) . "<br>";
					}
					else
					{
						$teacher_project = " ";
					}
				}
				unset ($query2);
				unset ($result2);
				print "<tr bgcolor=\"$bgcolor\">
					   <td height=\"25\" valign=\"top\">";
				print "<a href=\"index.php?option=configuration&suboption=teachers&modoption=delete_teacher&teacher_id=$users_list[0]&type=$type\" 
					   onClick=\"return confirm('" . $sas_lang['teacher_delete_confirm'] . "')\"><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" ></a> ";
	
				print "</td><td valign=\"top\">";
				print "<a href=\"index.php?option=configuration&suboption=teachers&modoption=edit_teacher&teacher_id=$users_list[0]\">
						<img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" onClick=\"parent.location='index.php?option=configuration&suboption=teachers&teacher=$users_list[0]';\">
						$users_list[1]</a> $revoke
						<td>&nbsp;</td><td valign=\"top\"><b>$users_list[5]</b></td>
						<td>&nbsp;</td><td valign=\"top\"><b>$users_list[6]</b></td>
						</td><td>&nbsp;</td><td valign=\"top\"><b>$teacherclass</b>";
				print "</td><td>&nbsp;</td><td valign=\"top\"><b>$teacher_project</b></td>
					   </tr>";
				if ($bgcolor == "#F7F7F7")
				{
					$bgcolor = "#EDEDED";
				}
				else
				{
					$bgcolor = "#F7F7F7";
				}
			}
		}
		print "<tr>
				   <td colspan=\"6\" height=\"18\"></td>
			   </tr>
			   <tr>
				   <td height=\"18\">&nbsp;</td>
				   <td colspan=\"9\"><img src=\"graphics/add.gif\" alt=\"" . $sas_lang['newteacher'] . "\">
				   <a href=\"index.php?option=configuration&suboption=teachers&modoption=new_teacher\">" . $sas_lang['newteacher'] . "</a>&nbsp;
				   <img src=\"graphics/add.gif\" alt=\"" . $sas_lang['newteacher_prev_user'] . "\">
					<a href=\"index.php?option=configuration&suboption=teachers&modoption=create_admin\">" . $sas_lang['newteacher_prev_user'] . "</a>
				   </td>
				</tr>";
				
		print "</table>";
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=configuration'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
	break;
	
	
	case edit_teacher :
	
		$query = "SELECT name, username, password, email, type, class, project FROM $table_users WHERE id = '".$teacher_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$fullname = mysqli_result($result, 0, name); // getting the teachers name
		$email = mysqli_result($result, 0, email); // getting the teachers email
		$username = mysqli_result($result, 0, username); // getting the teachers username
		$password = mysqli_result($result, 0, password); // getting the teachers password
		$user_type = mysqli_result($result, 0, type); // getting the teachers type
		$project = mysqli_result($result, 0, project); // getting the teachers projects
		$class = mysqli_result($result, 0, 5); // getting the teachers classes
		unset ($query);
		unset ($result);
	
		$project_array = explode(",", $project); //create an array
		$class_array = explode(",", $class); //create an array
	
		print $sas_lang['modifyuser_introduction'] . "</span><p>";
		print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=configuration&suboption=teachers&modoption=save_teacher&teacher_id=" . $teacher_id . "\" onsubmit=\"return checkinput(this);\">";
		print "<table cellspacing=\"2\" cellpadding=\"3\" width=\"720\" bgcolor=\"#CECECE\"><tr>
			   <td class=\"sas_row_color_even\"><b>" . $sas_lang['fullname'] . ":</b></td>
			   <td class=\"sas_row_color_even\"><input tabindex=\"1\" type=\"text\" name=\"fullname\" size=\"40\" value=\"$fullname\" class=\"textfield\">&nbsp;
			   <img src=\"graphics/help.gif\"title=\"" . $sas_lang['fullname_tip'] . "','#CCDAEC')\"; ONMOUSEOUT=\"kill()\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\"><b>" . $sas_lang['username'] . ":</b></td>
			   <td class=\"sas_row_color_even\"><input tabindex=\"2\" type=\"text\" name=\"username\" size=\"20\" value=\"$username\" class=\"textfield\">&nbsp;
			   <img src=\"graphics/help.gif\"title=\"" . $sas_lang['username_tip'] . "','#CCDAEC')\"; ONMOUSEOUT=\"kill()\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\"><b>" . $sas_lang['password'] . ":</b></td>";
	
		print "<td class=\"sas_row_color_even\"><input type=\"password\" name=\"password\" size=\"20\" value=\"********\" class=\"textfield\" tabindex=\"3\">&nbsp;
			<img src=\"graphics/help.gif\"title=\"" . $sas_lang['password_tip'] . "\" class=\"tooltip\"></td></tr>";
	
		print "<tr><td class=\"sas_row_color_even\"><b>" . $sas_lang['email'] . ":</b></td>
			   <td class=\"sas_row_color_even\"><input tabindex=\"4\" type=\"text\" name=\"email\" size=\"60\" value=\"$email\" class=\"textfield\">&nbsp;
			   <img src=\"graphics/help.gif\"title=\"" . $sas_lang['email_tip'] . "','#CCDAEC')\"; ONMOUSEOUT=\"kill()\"></td></tr>";

		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\"><b>" . $sas_lang['change_password_at_next_logon'] . ":</b>&nbsp;
			   <input type=\"checkbox\" value=\"1\" name=\"initial\"></td></tr>";
	
		$query = "SELECT id, name FROM $table_classes WHERE project = 0 ORDER BY name";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\"><table width=\"100%\"><tr>\n";
		print "<tr><td colspan=\"6\"><br><b>" . $sas_lang['class'] . ":</b>&nbsp;&nbsp;
		<img src=\"graphics/help.gif\"title=\"" . $sas_lang['class_tip'] . "\" class=\"tooltip\"></td></tr>"; //classes
		$i = 0;
		$j = 0;
		while ($class_list = mysqli_fetch_array($result))
		{
			$class_name = stripslashes($class_list[1]);
	
			if (in_array($class_list[0], $class_array))
			{
				print "<td width=\"25%\"><b>$class_name</b></span></td>
						<td><input type=\"checkbox\" value=\"$class_list[0]\" name=\"class[$j]\" checked></td><td width=\"10%\">&nbsp;&nbsp;</td>\n";
			}
			else
			{
				print "<td width=\"25%\"><b>$class_name</b></span></td>
						<td><input type=\"checkbox\" value=\"$class_list[0]\" name=\"class[$j]\"></td><td width=\"10%\">&nbsp;&nbsp;</td>\n";
			}
			if ($i == 2)
			{
				print "</tr><tr>";
				$i = 0;
			}
			else
			{
				$i++;
			}
			$j++;
		}
		//print "</table></td></tr>";
		//print "&nbsp;<img src=\"graphics/help.gif\" ONMOUSEOVER=\"popup('".$sas_lang['class_tip']."','CCDAEC')\"; ONMOUSEOUT=\"kill()\"></td></tr>";
		print "<tr><td colspan=\"6\"><br><b>" . $sas_lang['student_projects'] . ":&nbsp;&nbsp;
		<img src=\"graphics/help.gif\"title=\"" . $sas_lang['student_project_tip'] . "\" class=\"tooltip\"></td></tr>";
	
		$query = "SELECT id, name FROM $table_classes WHERE project = 1 ORDER BY name";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
	
		print "<tr>";
		$i = 0;
		$j = 0;
		while ($project_list = mysqli_fetch_array($result))
		{
			$project_name = stripslashes($project_list[1]);
	
			if (in_array($project_list[0], $project_array))
			{
				print "<td width=\"25%\"><b>$project_name</b></span></td>
						<td><input type=\"checkbox\" value=\"$project_list[0]\" name=\"project[$j]\" checked></td><td width=\"10%\">&nbsp;&nbsp;</td>\n";
			}
			else
			{
				print "<td width=\"25%\"><b>$project_name</b></span></td>
						<td><input type=\"checkbox\" value=\"$project_list[0]\" name=\"project[$j]\"></td><td width=\"10%\">&nbsp;&nbsp;</td>\n";
			}
			if ($i == 2)
			{
				print "</tr><tr>";
				$i = 0;
			}
			else
			{
				$i++;
			}
			$j++;
		}
		print "</table></td></tr>";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['teacher_is_user'] ;
		print "&nbsp;" . $sas_lang['yes'] ;
		if ($user_type == "22")
		{
			print "<input type=\"radio\" value=\"22\" name=\"type\" checked>";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
			print "<input type=\"radio\" name=\"type\" value=\"2\">";
		}
		else
		{
			print "<input type=\"radio\" value=\"22\" name=\"type\">";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" name=\"type\" value=\"2\" checked>";
		}
		print "</td></tr>";
		$query3 = "SELECT id, name FROM $table_modules WHERE location = 'sn_studentpages'";
		$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING); 
		$module_id = mysqli_result($result3, 0, 0); //get the module id for the link
		$module_name = mysqli_result($result3, 0, 1); //get the module name for the link
	
		print "<tr><td colspan=\"5\" class=\"sas_row_color_even\">" . $sas_lang['student_directory'] . " <b>$teacher_id</b></span>&nbsp;
				<a href=\"index.php?option=modulemanager&module=$module_id&viewclass=$class\">(" . $module_name . ")</a></span></td></tr></table>";
		print "</table>";
	
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=configuration&suboption=teachers'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
	
	break;
	
	case create_admin:
	
		$result = mysqli_query($db,"SELECT id, name FROM $table_users WHERE type = '20'");	//get admins from users table
		if (mysqli_num_rows($result) > 0)
		{
			print "" . $sas_lang['userasteacher'] . "</span><br/><br/>";
			print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=configuration&suboption=teachers&modoption=save_admin\">\n";
			print $sas_lang['username'] . ": <SELECT name=\"user_id\" size=\"1\">\n";
			$i = 0;
			while ($row = mysqli_fetch_array($result))
			{
				print "<OPTION value=\"$row[0]\">$row[1]</OPTION>\n";
				$i++;
			}
			print "</SELECT><br/><br/>\n";
			print $sas_lang['class'] . ":&nbsp;&nbsp;";
			print "<select class=\"text\" size=\"1\" name=\"teacherclass\">";
			mysqli_free_result($result);
			$query = "SELECT id, name FROM $table_classes WHERE project = 0 ORDER BY name";
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			while ($class_list = mysqli_fetch_array($result))
			{
				$class_list[1] = stripslashes($class_list[1]);
				print "<option value=\"$class_list[0]\">$class_list[1]</option>\n";
			}
			print "</select>&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['class_tip'] . "\" class=\"tooltip\">";
			mysqli_free_result($result);
			
			print "\n<input type=\"hidden\" name=\"type\" value=\"22\"><br/><br/>";
			print "\n<br><button onclick=\"javascript:parent.location='index.php?option=configuration&suboption=teachers'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
			print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
			print "</form>";
		}
		else
		{
			print $sas_lang['no_userasteacher'] . "<br/>";
			print "\n<br><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['goback'] . "\" name=\"backbutton\" onClick=\"javascript:history.go(-1)\" class=\"backbutton\">";
		}
	
	break;
	
	case import :
	
		print $sas_lang['import_import'] . "<br><br>";

		require "janitor/functions.php";
		require "janitor/janitor.conf.php";
		require "janitor/config.php";
	
		// globals
		$Message = "";
		//overide the defaults because the teachers file has a different layout
		$edex_defaults = array (
				0 => 1, // default fileformat: 1=Fixed Record Length
		1 => array (
				71,
				4,
				1
				), // unique key
		2 => array (
				51,
				20,
				2
				), // first name
		3 => array (
				41,
				10,
				3
				), // infix
		4 => array (
				1,
				40,
				4
			)
		); // last name
	
		// Dispatcher; see what they want
		$action = $_REQUEST[PARAM_ACTION];
		$tgt = strval(intval($_REQUEST[PARAM_TGT]));
		$src = strval(intval($_REQUEST[PARAM_SRC]));
		include_once "janitor/edex.php";
		edex_screen($tgt, 2);
	
	break;
}
include ("interface/footer.inc.php");
?>