<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Forms builder module : 
* export.php: last changed 07/08/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
define('IN_SAS', true);

include ("../../configuration/database.inc.php");
mysql_connect("$db_server", "$db_username", "$db_password");
mysql_select_db("$db_name");

require ("../../core/session.php"); //build a session
include ("../../core/common.inc.php");

if (IsSet ($_GET['showdata']))
{
	$showdata = intval($_GET['showdata']);
}
if (IsSet ($_GET['form_name']))
{
	$form_name = sanitize($_GET['form_name'], 60 , 'S'); //sanitize the input;
}

if (IsSet ($_POST['headers']))
{
	$headers = sanitize($_POST['headers'], 3 , 'S'); //sanitize the input;
}

//set the forms table names
$table_forms = $dbprefix . "m_forms";
$table_forms_data = $dbprefix . "m_forms_data";

$query = "SELECT config_value FROM $table_configuration WHERE config_key='sessioncode'";
if ($result = mysqli_query($db,$query))
{
	$check_sessioncode = mysqli_result($result, 0);
	unset ($query);
	unset ($result);
}
if ($_SESSION['sessioncode'] != "$check_sessioncode")
{
	//if we don't have a session present the login screen
	Header("Location: ../../index.php");
	exit;
}

//set the proper headers
header("Content-Type: text/x-delimtext; name=\"$form_name.csv\"");
header("Content-disposition: attachment; filename=$form_name.csv");

$query = "SELECT d.field_content, d.data_index FROM $table_forms as f 
			JOIN $table_forms_data AS d WHERE f.form_id = d.form_id AND f.id = d.field_id AND f.form_id = '" . $showdata . "' AND f.export = 1
			ORDER BY d.data_index,f.sort";

$result = mysqli_query($db,$query);

//define the export
$export = "";

if ($headers == "yes")
{
	//get the fieldnames of the form
	$query1 = "SELECT name FROM $table_forms WHERE form_id = '".$showdata."' AND (length != '0'
				AND substring(length,1,1) != 'S' OR substring(length,1,2) = 'S0') AND export = 1 ORDER BY sort";
	
	$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING);
	$field_count = mysqli_num_rows($result1);
	
	while ($form_headers = mysqli_fetch_array($result1))
	{
		$export .= str_replace(",", " ", $form_headers[0]) . ";";
	}
	$export .= "\r\n"; //new line
}

$i = 0;

while ($form_data_list = mysqli_fetch_array($result)) //loop through records
{
	if (($old_index != $form_data_list[1]) AND ($i != 0)) //next record, add a line feed, skip the first line
	{
		$export = substr($export, 0, strlen($export) - 1);
		$export .= "\r\n";
	}
	$i++;
	$export .= str_replace(",", " ", $form_data_list[0]) . ";";
	//$export .= $form_data_list[0]."," ;
	$old_index = $form_data_list[1];
}

print $export;
?>