<?php

/*
*	Syndeo CMS
* 	is a website management system designed for primary schools.
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2008-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Video module: 
* admin.php: last changed 22/05/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

//set the video table names
$table_videos = $dbprefix . "m_videos";
$video_path = $cmsdir . "/media/video" ;

if (IsSet ($_GET['video_id']))
{
	$video_id = sanitize($_GET['video_id'], 5 , 'I'); //sanitize, 5 pos max
}

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 20, 'A');
}
else
{
	$modoption = "list_video";	//default choice
}

if (IsSet ($_POST['video_title']))
{
	$video_title = sanitize($_POST['video_title'], 60 , 'S'); //sanitize, 60 chars max
}
if (IsSet ($_POST['video_sort']))
{
	$video_sort = intval($_POST['video_sort']); 
}
if (IsSet ($_POST['video_description']))
{
	$video_description = sanitize($_POST['video_description'], 1500 , 'H'); //sanitize the input, leave html tags in tact
}

if (IsSet ($_POST['welcome_text']))
{
	$welcome_text = sanitize($_POST['welcome_text'], 1500 , 'H'); //sanitize the input, leave html tags in tact
}
if (IsSet ($_POST['public']))
{
	$public = sanitize($_POST['public'], 1 , 'I');
}

if (IsSet ($_POST['video_options']))
{
	$video_options = $_POST['video_options']; //array
	$video_options = intval($video_options[0]) . "," . intval($video_options[1]) . "," . sanitize($video_options[2], 5, 'S') . "," . sanitize($video_options[3], 5, 'S') . "," . sanitize($video_options[4], 5, 'S') . "," . intval($video_options[5]);
}
if (IsSet ($_POST['number_of_thumbs']))
{
	$number_of_thumbs = intval($_POST['number_of_thumbs']); 
}
if (IsSet ($_POST['overview_name']))
{
	$overview_name = sanitize($_POST['overview_name'], 60 , 'S'); //sanitize, 60 chars max
}

$video_path = "media/video/";

// include shared functions:
load_language('', 'video'); //load language file

include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");

$class = "";
if(($modoption != "add_video") AND ($modoption != "config")) $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module\">" . $sas_lang['video_module_list'] . "</a></li>\n";

$class = "";
if($modoption == "add_video") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=add_video&page_id=0\">" . $sas_lang['video_module_add'] . "</a></li>\n";

$class = "";
if($modoption == "config") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=config\">" . $sas_lang['video_module_config'] . "</a></li>\n";

if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
{
	$class = "";
	if($modoption == "edit") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module\">".$sas_lang['edit_module']."</a></li>\n";
}
include ("interface/menuend.inc.php");

print "<span class=\"sas_module_title\">$modulename</span><p>" .
		$sas_lang['video_module_intro'];

switch ($modoption) // start of switch
{
	
	case delete_video:
	
		$query1 = "SELECT file_name FROM $table_videos WHERE id = '".$video_id."' LIMIT 1"; 
		$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query1 . '".',E_USER_WARNING);
		$RecordCount = mysqli_num_rows($result1);
		if ($RecordCount > 0)
		{
			$file_name = mysqli_result($result1, 0, 0);
			//delete file first!
			if(file_exists($serverpath . "/" . $video_path . $file_name))
			{
				unlink($serverpath . "/" . $video_path . $file_name);
			}
			$tmp = explode(".", remove_special_characters($file_name));
			$thumb = $video_path . $tmp[0] . ".jpg";
			
			if(file_exists($serverpath . "/" .$thumb))
			{
				unlink($serverpath . "/" . $thumb);
			}
			mysqli_query($db,"DELETE FROM $table_videos WHERE id = '$video_id'");
		}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_video'</script>";
		
	break;
	
	case save_config :

		if ($number_of_thumbs == 0)
		{
			$number_of_thumbs = 3; 
		}
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$welcome_text' WHERE config_key = 'video_welcome_text'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$number_of_thumbs' WHERE config_key = 'video_number_of_items'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module'</script>";
		
	break;
	
	case config :

		$fck_lang = strtolower($sas_config['language']);
		print "<br />" . $sas_lang['video_module_config_intro'] . "</center><p></span>";
		print "<form METHOD=\"POST\" action=\"index.php?option=modulemanager&module=$module&modoption=save_config\">
			   <table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";
		
		print "<tr><td valign=\"top\" colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['video_module_welcome_text'] . ":</td></tr>
				<tr><td width=\"640\" colspan=\"2\" bgcolor=\"#F7F7F7\">";
		// call basic ckeditor for welcome text
		small_editor('welcome_text', $sas_config['video_welcome_text'], 'editor1');
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['video_module_number_of_items'] . ":&nbsp;</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"4\" class=\"textfield\" name=\"number_of_thumbs\" value=\"".$sas_config['video_number_of_items']."\"></td></tr>";
		print "</table>";
	
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>
		</form>\n";
		
	break;
	
	case save_video :

		if (IsSet ($_FILES["file"]["name"]))
		{
			$file_name = sanitize($_FILES["file"]["name"], 100, 'S');
			$temp_file = $_FILES["file"]["tmp_name"]; //this is temporary uploaded file.
			$tmp = explode(".", $file_name);
			$ext = array_pop($tmp);
			$allowed_extensions = array (
				"wmv",
				"swf",
				"mov"
			);
		}
		
		if ($video_title == '') //empty title use filename
		{
			$video_title = $file_name ;
		}
		
		//print $serverpath . $video_path . $video_dir . "/" . $file_name ;
		
		if ($video_id == 0)	//when video_id is 0 we have a new video
		{
			
			if (file_exists($serverpath . "/" . $video_path . $file_name)) 
			{
				//if file already exists, give popup with warning
				$msg = str_replace("%file_name%", $file_name, $sas_lang['file_exists']);
				print "<script language=\"JavaScript\">alert( '$msg' ); </script>";
			}
			else
			{
				if (in_array(strtolower($ext), $allowed_extensions)) //allowed file type 
				{	
					sas_move_uploaded_file($video_path, $file_name, $temp_file);
				}
				
				mysqli_query($db,"INSERT INTO $table_videos (id, name, description, file_name, sort, options, public, overview_name)
					VALUES (NULL, '$video_title', '$video_description', '$file_name', '$video_sort', '$video_options', '$public', '$overview_name')");
			}
		}
		else
		{
			if ($file_name != "")	//we need to upload the file again
			{
				$query = "SELECT file_name FROM $table_videos WHERE id = '".$video_id."' LIMIT 1" ;
				$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
				$old_file_name = mysqli_result($result, 0, 0);
				
				if (in_array(strtolower($ext), $allowed_extensions)) //allowed file type 
				{
					if(file_exists($serverpath . "/" . $video_path . $old_file_name))
					{
						unlink($serverpath . "/" . $video_path . $old_file_name) ;
					}
					sas_move_uploaded_file($video_path, $file_name, $temp_file);
					
				}
				mysqli_query($db,"UPDATE $table_videos SET file_name = '$file_name' WHERE id = '$video_id'");
			}
			
			mysqli_query($db,"UPDATE $table_videos 
							SET name = '$video_title' ,
							description = '$video_description' ,
							sort = '$video_sort',
							options = '$video_options',
							public = '$public',
							overview_name = '$overview_name'
							WHERE id = '$video_id'");
		}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_video'</script>";
	
	break;
	
	case list_video :
	
			$query = "SELECT id, name, file_name, public, sort, overview_name FROM $table_videos ORDER BY sort"; 
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
			
			$RecordCount = mysqli_num_rows($result);
			if ($RecordCount > 0)
			{
				print "<p><table>";
				
				while ($video_list = mysqli_fetch_array($result))
				{
					$public = "" ;
					if ($video_list[3] == 1)
					{
						$public = "(*)";
					}
					$overview = "";
					if ($video_list[5] != "")
					{
						$overview = "($video_list[5])";
					}
					$delete_video_confirmation = str_replace("%videoname%", $video_list[2], $sas_lang['video_module_delete_confirm']);
					print "<tr>
					  <td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" 
					  onClick=\"if(confirm('$delete_video_confirmation'))
					  parent.location='index.php?option=modulemanager&module=$module&modoption=delete_video&video_id=$video_list[0]';\">
					  <img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" 
					  onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_video&video_id=$video_list[0]'\">
					  </td>
					  <td><span class=link><a href=\"index.php?option=modulemanager&module=$module&modoption=edit_video&video_id=$video_list[0]\">$video_list[1]</a><span class=\"small_blue \"> ($video_list[4]) $overview $public</span></td>
					  </tr>";
				}
				
				print "</table><p><br /><span class=\"sas_module_lbl2\">(*) " . $sas_lang['video_module_is_public'] . "</span>";
			}
			else
			{
				print "<tr><td><p>" . $sas_lang['video_module_empty_list'] . "</td></tr></table>";
			}
			print "<p><br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		
	break;
	
	
	case add_video :
?>
<script>
	$(document).ready(function(){
    $("#theForm").validate({
        errorLabelContainer: "#ErrorBox",
		rules:{
            file:{
                minlength: 2   
            }
        }
    });
    $("#file").change(function(){
        $("#file").blur().focus();
    });
});
	$(document).ready(function() {
		$('#theForm').submit(function() {
			$('#progress').show();
		});
	});

</script>

<?php	
		$query = "SELECT sort FROM $table_videos ORDER BY sort DESC LIMIT 1"; //get the higest sort value
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$Recordcount = mysqli_num_rows($result); 
		if ($Recordcount > 0)
		{
			$sort = mysqli_result($result, 0, 0);
			$sort = $sort + 10 ;
		}
		else
		{
			$sort = 10 ;
		}
		
		$max_upload = ini_get('upload_max_filesize');
		if ((int)$max_upload > (int)ini_get('post_max_size'))
		{
			  $max_upload = ini_get('post_max_size');
		}
		print "<p><b>" . $sas_lang['video_module_add'] . "</b> (".$sas_lang['video_module_max_file_size'] . " " . $max_upload . ")<p>\n
			<div id=\"ErrorBox\"></div>
				<div id=\"progress\" style=\"display: none; color: red; font-weight: bold\">".$sas_lang['video_module_upload_in_progress']."</div>\n";

		
		print "<form id=\"theForm\" name=\"theForm\" METHOD=\"POST\" enctype=\"multipart/form-data\" action=\"index.php?option=modulemanager&module=$module&modoption=save_video&video_id=0\">
			   <table cellspacing=\"2\" cellpadding=\"2\" width=\"790\" bgcolor=\"#CECECE\">\n";

		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['video_module_file'] . " (*):&nbsp;</td>
			<td colspan=\"3\" class=\"sas_row_color_even\"><input type=\"file\" name=\"file\" size=\"40\" id=\"file\" class=\"required\"></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['video_module_title'] . ":</td>
				<td colspan=\"3\" class=\"sas_row_color_even\"><input type=\"text\" size=\"50\" class=\"textfield\" name=\"video_title\" ></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['video_module_overview_name '] . ":&nbsp;</td>
				<td colspan=\"3\" class=\"sas_row_color_even\"><input type=\"text\" size=\"50\" class=\"textfield\" name=\"overview_name\"></td></tr>";
		print "<tr><td colspan=\"4\" class=\"sas_row_color_even\">" . $sas_lang['video_module_in_overview'] . ":&nbsp;" . $sas_lang['yes'] ;
		
		print "<input type=\"radio\" value=\"1\" name=\"video_options[5]\" checked>";
		print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
		print "<input type=\"radio\" name=\"video_options[5]\" value=\"0\"></td></tr>";

		print "<tr><td valign=\"top\" class=\"sas_row_color_even\">" . $sas_lang['video_module_description'] . ":</td>
				<td width=\"620\" colspan=\"3\" bgcolor=\"#F7F7F7\">";
		
		// call basic ckeditor for welcome text
		small_editor('video_description', "", 'editor1');
		
		print "</td></tr>";
		
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['video_module_width'] . ":</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"4\" class=\"textfield\" name=\"video_options[0]\" value=\"320\"></td>
				<td align=\"right\" class=\"sas_row_color_even\">" . $sas_lang['video_module_show_controls'] . ":&nbsp;</td>
				<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;
		
		print "<input type=\"radio\" value=\"true\" name=\"video_options[2]\" checked>";
		print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
		print "<input type=\"radio\" name=\"video_options[2]\" value=\"false\">";
		
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['video_module_height'] . ":&nbsp;</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"4\" class=\"textfield\" name=\"video_options[1]\" value=\"285\"></td>";
		print "<td align=\"right\" class=\"sas_row_color_even\">" . $sas_lang['video_module_loop'] . ":&nbsp;</td>
				<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;
		
		print "<input type=\"radio\" value=\"true\" name=\"video_options[4]\" checked>";
		print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
		print "<input type=\"radio\" name=\"video_options[4]\" value=\"false\">";
		
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['video_module_order'] . ":</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"4\" class=\"textfield\" name=\"video_sort\" value=\"$sort\"></td>
				<td align=\"right\" class=\"sas_row_color_even\">" . $sas_lang['video_module_autostart'] . ":&nbsp;</td>
				<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;
	
		print "<input type=\"radio\" value=\"true\" name=\"video_options[3]\" checked>";
		print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
		print "<input type=\"radio\" name=\"video_options[3]\" value=\"false\">";

		print "</td></tr>";
		print "<tr><td colspan=\"3\" class=\"sas_row_color_even\" align=\"right\">" . $sas_lang['video_module_is_public'] . ":&nbsp;</td>
			<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;
		
		print "<input type=\"radio\" value=\"1\" name=\"public\">";
		print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
		print "<input type=\"radio\" name=\"public\" value=\"0\" checked>";
		
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"4\"><span class=\"sas_module_lbl2\">" . $sas_lang['required_fields'] . "</td></tr>";
		print "</table>";
	
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module&modoption=list_video'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;

	case edit_video :
		
		$query = "SELECT id, name, description, file_name, options, sort, public, overview_name  FROM $table_videos WHERE id = '".$video_id."' LIMIT 1";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$video_list = mysqli_fetch_array($result);
		
		$options = explode(",", $video_list[4]);
		$width = $options[0] ;
		$height = $options[1] ;
		$showcontrols = $options[2] ;
		$autostart = $options[3] ;
		$loop = $options[4] ;
		$in_overview = $options[5] ;

		$tmp = explode(".", remove_special_characters($video_list[3]));
		$thumb = $video_path . $tmp[0] . ".jpg";
		if(!file_exists($thumb))
		{
			$thumb = "modules/video/movie_icon.jpg";
		}
	
		print "<p><b>" . $sas_lang['video_module_edit'] . "</b> (".$sas_lang['video_module_max_file_size'] . " " . ini_get('upload_max_filesize') . ")<p>\n";
		print "<form METHOD=\"POST\" enctype=\"multipart/form-data\" action=\"index.php?option=modulemanager&module=$module&modoption=save_video&video_id=$video_id\">
			   <table cellspacing=\"2\" cellpadding=\"2\" width=\"740\" bgcolor=\"#CECECE\">\n";
		
		$video_file = remove_special_characters($video_list[3]);
		$video_file = $video_path.$video_file;
		
		print "<tr><td class=\"sas_row_color_even\">".$sas_lang['video_module_thumbnail'].":&nbsp;<span></td>
			<td class=\"sas_row_color_even\" colspan=\"3\"><img src=\"$thumb\" width=\"125\" border=\"0\" alt=\"".$sas_lang['video_module_thumbnail']."\" title=\"".$sas_lang['video_module_thumbnail']."\">";
		
		if(!file_exists($video_file))
		{
			print "<span class=\"error\"><b>Bestand: $video_file bestaat niet!</b></span>";
		}
		else
		{
			print "&nbsp;<a href=\"index.php?option=modulemanager&module=$module&modoption=add_thumb&video_id=$video_id\"><img src=\"modules/video/thumbnail.png\" border=\"0\"></a></span>";
		}
		
		print "</td></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['video_module_file'] . ":&nbsp;</td>
			<td class=\"sas_row_color_even\" colspan=\"3\"><b>$video_list[3]</b></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['video_module_renew'] . ":&nbsp;</td>
			<td class=\"sas_row_color_even\" colspan=\"3\"><input type=\"file\" name=\"file\" size=\"40\" class=\"textfield\"></td></tr>\n";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['video_module_title'] . ":</span></td>
				<td class=\"sas_row_color_even\" colspan=\"3\"><input type=\"text\" size=\"50\" class=\"textfield\" name=\"video_title\" value=\"$video_list[1]\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['video_module_overview_name '] . ":&nbsp;</span></td>
				<td class=\"sas_row_color_even\" colspan=\"3\"><input type=\"text\" size=\"50\" class=\"textfield\" name=\"overview_name\" value=\"$video_list[7]\"></td></tr>";
		print "<tr><td colspan=\"4\" class=\"sas_row_color_even\">" . $sas_lang['video_module_in_overview'] . ":&nbsp;" . $sas_lang['yes'] ;
		
		if ($in_overview == "1")
		{
			print "<input type=\"radio\" value=\"1\" name=\"video_options[5]\" checked>";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
			print "<input type=\"radio\" name=\"video_options[5]\" value=\"0\">";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"video_options[5]\">";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" name=\"video_options[5]\" value=\"0\" checked>";
		}
		
		print "</td></tr>";
		print "<tr><td valign=\"top\" class=\"sas_row_color_even\">" . $sas_lang['video_module_description'] . ":</span></td>
				<td class=\"sas_row_color_even\" width=\"620\" colspan=\"3\">";
		
		// call basic ckeditor for welcome text
		small_editor('video_description', $video_list[2], 'editor1');
		
		print "</td></tr>";
		
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['video_module_width'] . ":</span></td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"4\" class=\"textfield\" name=\"video_options[0]\" value=\"$width\"></td>
				<td align=\"right\" class=\"sas_row_color_even\">" . $sas_lang['video_module_show_controls'] . ":&nbsp;" . $sas_lang['yes'] . "</span>";
		
		if ($showcontrols == "true")
		{
			print "<input type=\"radio\" value=\"true\" name=\"video_options[2]\" checked>";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
			print "<input type=\"radio\" name=\"video_options[2]\" value=\"false\">";
		}
		else
		{
			print "<input type=\"radio\" value=\"true\" name=\"video_options[2]\">";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
			print "<input type=\"radio\" name=\"video_options[2]\" value=\"false\" checked>";
		}
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['video_module_height'] . ":&nbsp;</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"4\" class=\"textfield\" name=\"video_options[1]\" value=\"$height\"></td>";
		print "<td align=\"right\" class=\"sas_row_color_even\">" . $sas_lang['video_module_loop'] . ":&nbsp;" . $sas_lang['yes'] . "</span>";
		
		if ($loop == "true")
		{
			print "<input type=\"radio\" value=\"true\" name=\"video_options[4]\" checked>";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'];
			print "<input type=\"radio\" name=\"video_options[4]\" value=\"false\">";
		}
		else
		{
			print "<input type=\"radio\" value=\"true\" name=\"video_options[4]\">";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" name=\"video_options[4]\" value=\"false\" checked>";
		}
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['video_module_order'] . ":</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"4\" class=\"textfield\" name=\"video_sort\" value=\"$video_list[5]\"></td>
				<td align=\"right\" class=\"sas_row_color_even\">" . $sas_lang['video_module_autostart'] . ":&nbsp;" . $sas_lang['yes'] . "</span>";
		
		if ($autostart == "true")
		{
			print "<input type=\"radio\" value=\"true\" name=\"video_options[3]\" checked>";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
			print "<input type=\"radio\" name=\"video_options[3]\" value=\"false\">";
		}
		else
		{
			print "<input type=\"radio\" value=\"true\" name=\"video_options[3]\">";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
			print "<input type=\"radio\" name=\"video_options[3]\" value=\"false\" checked>";
		}
		print "</td></tr>";
		print "<tr><td colspan=\"3\" align=\"right\" class=\"sas_row_color_even\">" . $sas_lang['video_module_is_public'] . ":&nbsp;</span>" . $sas_lang['yes'] ;
		
		if ($video_list[6] == "0")
		{
			print "<input type=\"radio\" value=\"1\" name=\"public\">";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" name=\"public\" value=\"0\" checked>";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"public\" checked>";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" name=\"public\" value=\"0\">";
		}
		
		print "</td></tr>";
		print "</table>";
	
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module&modoption=list_video'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";
	
	break;

	case save_thumb :
	
		if (IsSet ($_FILES["file"]["name"]))
		{
			$query = "SELECT file_name FROM $table_videos WHERE id = '".$video_id."' LIMIT 1";
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
			$thumb = mysqli_result($result, 0, 'file_name');
			$file_name = $_FILES["file"]["name"];
			$temp_file = $_FILES["file"]["tmp_name"]; //this is temporary uploaded file.
			
			$tmp = explode(".", $file_name);
			$ext = array_pop($tmp);
			$tmp = explode(".", $thumb);
			$thumb = $tmp[0] . "." . strtolower($ext) ;
			
			if (file_exists($serverpath . "/" . $video_path . $thumb)) 
			{
				unlink($serverpath . "/" . $video_path . $thumb) ;
			}

			sas_move_uploaded_file($video_path, $thumb, $temp_file);
		}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_video'</script>";
		
	break;
	
	case add_thumb :
		
		$query = "SELECT name, file_name FROM $table_videos WHERE id = '".$video_id."' LIMIT 1";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$video_list = mysqli_fetch_array($result);
		
		print "<p><b>" . $sas_lang['video_module_edit'] . "</b><p></span>\n";
		print "<form METHOD=\"POST\" enctype=\"multipart/form-data\" action=\"index.php?option=modulemanager&module=$module&modoption=save_thumb&video_id=$video_id\">
			   <table cellspacing=\"0\" cellpadding=\"0\">\n";
		print "<tr><td colspan=\"2\">" . $sas_lang['video_module_file'] .":<b> $video_list[1] </b></span></td></tr>";
		print "<tr><td colspan=\"2\">&nbsp;</td></tr>";
		print "<tr><td>" . $sas_lang['video_module_thumbnail'] . ":&nbsp;</span></td>
			<td><input type=\"file\" name=\"file\" size=\"40\" class=\"textfield\"></td></tr>\n";
		print "</table>";
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module&modoption=list_video'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";
		
	break;

} //end switch

include ("interface/footer.inc.php");
?>