<?php
if ($website == "protected")
{
	$public = 1;	// we are on the protected area
}
else
{
	$public = 0 ;	//we are on the public site
}

function create_popup_menu()
{
	global $db, $table_sections, $table_pages, $site_url, $where_clause, $table_pages ;
	
	$query = "SELECT s.id, s.name FROM $table_sections s 
			LEFT JOIN $table_pages p ON s.id = p.section
			WHERE s.invisible != 'yes' $where_clause GROUP BY s.name ORDER BY s.sort";
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error().'"<br>Query : "' . $query . '".',E_USER_WARNING);
	
	print "<ul id=\"nav\">\n";
	
	while ($section_list = mysqli_fetch_array($result))
	{
		print "<li><a href=\"index.php?section=$section_list[0]\">$section_list[1]</a>\n";
		
		//get the pages without category and the categories in an array.
		$page_cat = page_cat_list($section_list['id']) ;
		if(count($page_cat) > 0)	//does the array has any pages?
		{
			//sort the multi row array
			sortArray($page_cat, sort, SORT_ASC);
			print "\t<ul>\n";
			$i = 0 ;
			foreach ($page_cat['sort'] as $value)
			{
				$page_title = $page_cat['name'][$i] ;
				$id = $page_cat['id'][$i] ;
				$module = $page_cat['module'][$i] ;
				if($id == 0)	//page has category?
				{
					$category = addslashes($page_title);
					//get the first page id for the category which we are processing.
					$query3 = "SELECT id FROM $table_pages WHERE category = '$category' and section = '". $section_list['id'] . "' AND invisible != 'yes' $where_clause ORDER BY sort LIMIT 1";
					$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error().'"<br>Query : "' . $query3 . '".',E_USER_WARNING);
					$p_id = mysqli_result($result3, 0, 'id');
					
					print "\t<li><a href=\"index.php?section=$section_list[0]&page=$p_id\">$page_title</a>\n";
					//get the sub-pages for the category
					$query2 = "SELECT id, name, module FROM $table_pages WHERE category = '$category' and section = '". $section_list['id'] . "' AND invisible != 'yes' $where_clause ORDER BY sort";
					$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error().'"<br>Query : "' . $query2 . '".',E_USER_WARNING);
					if(mysqli_num_rows($result2) > 0) 
					{
						print "\t\t<ul>\n";
						while ($page_menu = mysqli_fetch_array($result2)) 
						{
							print "\t\t<li><a href=\"index.php?section=$section_list[0]&page=$page_menu[0]\">$page_menu[1]</a></li>\n";
						}
						print "\t\t</ul>\n";
					}
					print "</li>";
				}
				else			//pages without category
				{
					print "\t<li><a href=\"index.php?section=$section_list[0]&page=$id\">$page_title</a></li>\n";
				}
				$i++;
			}
			print "\t</ul>\n";
		}
		
		print "</li>";
	}
	print "</ul>\n";
}

function show_breadcrum() 
{
	global $db, $table_sections, $section, $pagetitle, $category;
	
	if($section != 0)
	{
		$query = "SELECT name FROM $table_sections WHERE id = '$section'";        // getting the section name
		$result = mysqli_query($db,$query);
		$sectionname = mysqli_result($result,0);
		unset($query);
		unset($result);
		if (IsSet ($_GET['category']))
		{
			print "\r\n<div id=\"breadcrum\">&nbsp;$sectionname &gt; " . $_GET['category'] . " &gt; $pagetitle</div>";
		}
		else
		{
			print "\r\n<div id=\"breadcrum\">&nbsp;$sectionname &gt; $pagetitle</div>";
		}
	}
}

function show_logout() 
{
	global $db, $sas_lang, $section, $page, $table_users ;
	
	if((IsSet($_SESSION['userid'])) AND ($_SESSION['userid'] > 0))	//no parents (userid 0))
	{  
		$query = "SELECT name FROM $table_users WHERE id = '" . $_SESSION[userid] . "'"; // getting the name for the user
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		if (mysqli_num_rows($result) == 1)
		{
			$user_name = mysqli_result($result, 0, 0);
		}
		unset ($query);
		unset ($result);
		print $sas_lang['logged_in_as']. ": $user_name &nbsp;";
	}
	if((IsSet($_SESSION['userid'])) AND ($_SESSION['userid'] >= 0))	//logout link also for parents
	{
		print "<a href=\"index.php?section=$section&page=$page&logout=yes\">[".$sas_lang['logout']."]</a>";
	}
}

function show_dasboard_return($page_id) 
{
	global $db, $dbprefix, $sas_lang ;
	
	if((IsSet($_SESSION['userid'])) AND ($_SESSION['user_type'] == 20))	//we are logged in as a teacher?
	{  
		print " [<a href=\"index.php?page=$page_id&site=public\">".$sas_lang['dashboard']."</a>]&nbsp;";
		print "[<a href=\"starnet/index.php\">".$sas_lang['manage']."</a>]&nbsp;";
	}
		
	if((IsSet($_SESSION['userid'])) AND ($_SESSION['user_type'] > 0))		//we are logged in as a user
	{ 
	
		if($_SESSION['site'] == "protected")
		{
			print "[<a href=\"index.php?site=public\">".$sas_lang['public_area']."</a>]&nbsp;";
		}
		else
		{
			print "[<a href=\"index.php?site=protected\">".$sas_lang['protected_area']."</a>]&nbsp;";
		}
    }
}
function print_page()
{
	global $site ;
	
	foreach($_GET as $key => $value) 
	{
	if(!is_array($value))
		{
			$parms .=  htmlentities($key)."=".htmlentities($value)."&" ;
		}
	}	
	$parms = substr($parms,0,-1) ;
			
	if($site == "protected")
	{
		print "<a href=\"index.php?print=yes&site=protected&$parms\">";
	}
	else
	{
		print "<a href=\"index.php?print=yes&$parms\" class=\"logout\">";
	}
	
	print "<b>[Printen]</b></a>";
}

function show_background()
{
	//backgrounds are stored with in media/template_images/intranet
	
	
	$path = "starnet/media/template_images/intranet/" ;
	
	if (file_exists($path . "intranet_achtergrond.jpg")) 
	{
		print "background: url(". $path . "intranet_achtergrond.jpg);\n";
	}
	elseif (file_exists($path . "intranet_achtergrond.JPG")) 
	{
		print "background: url(" . $path . "intranet_achtergrond.JPG);\n";
	}
	elseif (file_exists($path . $file. "intranet_achtergrond.png")) 
	{
		print "background: url(" . $path . "intranet_achtergrond.png);\n";
	}	
	else 
	{
		//try with uppercase extention
		print "background: url(" . $path . "intranet_achtergrond.PNG);\n";
	}
}
function template_path($file)
{
	echo "starnet/themes/". $GLOBALS['themelocation'] . "/". $file;
}
function media_template_path($file)
{
	global $section ;
	
	$path = "starnet/media/template_images/". $GLOBALS['themelocation'] . "/" ;
	
	if (file_exists($path . $file. $section . ".jpg")) 
	{
		echo $path . $file. $section . ".jpg";
	}
	elseif (file_exists($path . $file. $section . ".JPG")) 
	{
		echo $path . $file. $section . ".JPG";
	}
	elseif (file_exists($path . $file. $section . ".png")) 
	{
		echo $path . $file. $section . ".png";
	}	
	else 
	{
		//try with uppercase extention
		echo $path . $file. $section . ".PNG";
	}
}
?>