<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Coding version 1.1 to 2.4.10 Fred Stuurman
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Forms builder module : 
* show_form.php: last changed 21/09/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
?>
<link rel="stylesheet" type="text/css" href="starnet/interface/css-form.css" />
<?php
//initialize vars
$name = "";
$message = "";
$email = "";
$homepage = "";
$modoption = "show_form";	//default choice

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], '15', 'A');
}

//load language file
load_language($cmsdir . '/', 'sn_form');

//set the forms table names
$table_forms = $dbprefix . "m_forms";
$table_forms_config = $dbprefix . "m_forms_config";
$table_forms_data = $dbprefix . "m_forms_data";

$pagetitle = addslashes($pagetitle) ; //add slashes for the query
$query = "SELECT id, welcome, email_text, email, email_subject, thank_you, mode, email_return_field, width FROM $table_forms_config WHERE form_name = '".$pagetitle."' LIMIT 1";
// getting the email adress
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
$num_rows = mysqli_num_rows($result);
if ($num_rows == 0)
{
	print $sas_lang['forms_module_form_page_error'];
	//no form with this pagename found.
}
else
{
	$email = mysqli_result($result, 0, 'email');
	$thank_you_text = mysqli_result($result, 0, 'thank_you');
	$email_text = mysqli_result($result, 0, 'email_text');
	$email_subject = mysqli_result($result, 0, 'email_subject');
	$form_mode = mysqli_result($result, 0, 'mode');
	$email_return_field = mysqli_result($result, 0, 'email_return_field');
	
	if(trim($email) == "")
	{
		print "<span class=\"sas_error\">" . $sas_lang['email_empty_warning'] . "</span>";
		exit;
	}
	$welcome_text = mysqli_result($result, 0, 'welcome');
	$form_id = mysqli_result($result, 0, 'id');
	$form_width = mysqli_result($result, 0, 'width');
	unset ($query);
	unset ($result);

	switch ($modoption) // start of switch
	{

	case send_email :
		
		//$submitted_time_key = $pagetitle."_submitted_time";
		//if (IsSet ($_SESSION[$submitted_time_key]))
		//{
			//we have had a previous submit from this session and page
			//calculate how many seconds ago
		//	$delta_time = time() - $_SESSION[$submitted_time_key] ; 
		//	if ($delta_time < 300)
		//	{
		//		print "<span class=\"sas_module_error\">".$sas_lang['invalid_submission']."</span>";
		//		exit;
		//	}
		//}
		//try to prevent spam postings
		//if the submit_check_code stored in the session is equal to the one submitted
		//and if the last submission is longer than 5 minutes ago.
		
		if (($sas_config['use_captcha'] == "1") AND (($_SESSION['security_code'] != $_POST['security_code']) OR (empty($_SESSION['security_code']))))
		{
		   print "<span class=\"sas_module_error\">".$sas_lang['invalid_submission2']."</span><br /><br />";
		   print "<input type=\"button\" value=\"" . $sas_lang['goback'] . "\" name=\"backbutton\" 
				onClick=\"javascript:history.go(-1)\" class=\"backbutton\">";
		   exit;
		}
		
		if ($_POST['submit_check_code'] != $_SESSION['submit_check_code'] || !empty($_POST['leegt']) || $_POST[$_SESSION['somfield']] != ((int)$_SESSION['som1'] + (int)$_SESSION['som2']))  
		{
		   print "<span class=\"sas_module_error\">".$sas_lang['invalid_submission2']."</span>";
		   print "<input type=\"button\" value=\"" . $sas_lang['goback'] . "\" name=\"backbutton\" 
				onClick=\"javascript:history.go(-1)\" class=\"backbutton\">";
		   exit;
		}
		
		if (IsSet ($_POST['forms_input_list']))
		{			
			$forms_input_list = $_POST['forms_input_list'];
		}

		$pagetitle = stripslashes($pagetitle) ;
		$message .= "<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">
					<html>
					<head>
					<meta http-equiv=\"Content-Type\" content=\"text/html; charset=\"" . $sas_lang['lang_charset'] . "\">
					<title>$pagetitle</title>
					</head>
					<body><br/>$email_text<br/><br/>";

		//get the highest data_index from the data table
		$query2 = "SELECT data_index FROM $table_forms_data ORDER BY data_index DESC LIMIT 1";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query2 . '".',E_USER_WARNING); 
		$RecordCount = mysqli_num_rows($result2);
		if ($RecordCount > 0)
		{
			$data_index = mysqli_result($result2, 0, data_index);
			$data_index = $data_index + 1; //add one to it.
		}
		else
		{
			$data_index = 1;
		}

		if(count($forms_input_list) > 0)
		{
			$ip = $_SERVER["REMOTE_ADDR"];
			
			foreach ($forms_input_list as $key => $value)
			{
				$query = "SELECT name, length, id FROM $table_forms WHERE form_id = '".$form_id."' AND id = '".$key."'";
				$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
				$field_name = mysqli_result($result, 0, name);
				$field_length = mysqli_result($result, 0, length);
				$field_id = mysqli_result($result, 0, id);
				
				$message .= $field_name . " <b>";
				$user_input = $forms_input_list[$key] ;
				
				if (is_numeric($field_length) == TRUE)
				{ //use the length to limit the data
					if ($field_length > 1)	//if length is 1 , (yes and no) we need $user_input without length limit
					{
						$user_input = substr($user_input, 0, $field_length);
					}
				}
				
				$user_input = htmlspecialchars(strip_tags($user_input));
				//remove html tags
				$message .= stripslashes($user_input) . "</b><br/>";
	
				if ($form_mode == 1) //with mode =1 store data in table
				{
					//insert the user input into the data table
					mysqli_query($db,"INSERT INTO $table_forms_data VALUES ('$form_id', '$field_id', '$user_input', '$data_index')");
				}
				//check if we have an email field which we need to send the visitor a copy.
				if(($email_return_field > 0) AND ($key == $email_return_field))
				{
					$return_email = $value;
				}
			}
			
			//store IP adres  and current date of the visitor
			$ip = date('d-m-Y') . " - " . $ip   ; 
			mysqli_query($db,"INSERT INTO $table_forms_data VALUES ('$form_id', '0', '$ip', '$data_index')");
			mysqli_query($db,"UPDATE $table_forms_config SET lastupdate = NOW() WHERE form_name = '".$pagetitle."'") ;
			
			$date = time();
			$email_date = strftime($sas_config['dateformat'].' %H:%M', $date);
			$message .= str_repeat("-", 75);
			$message .= "<br/>IP: <b>$ip</b> , ". $sas_lang['date'] . ": " . $email_date ;
			$message .= "</body></html>";
			$message = wordwrap($message);
			require ("$cmsdir/core/class.phpmailer.php");
			//use the phpmailer class
			$mail = new PHPMailer();
			if(trim($return_email) != "")
			{
				$mail->From = $return_email ;
			}
			else
			{
				$mail->From = $sas_config['email'];
			}
			//site email address
			$mail->CharSet = $sas_lang['lang_charset'] ;
			$mail->FromName = $sitename;
			$mail->Subject = $email_subject;
			$mail->Body = $message;
			$mail->IsHTML(true);
			
			//do we need to send a copy of the mail to the visitor?
			if(trim($return_email) != "")
			{
				$mail->AddAddress($return_email);
			}
			
			$mail->AddAddress($email);
			//add email address owner form.
	
			if(!$mail->Send()) 
			{
				trigger_error("Mailer Error: " . $mail->ErrorInfo, E_USER_WARNING); 
			}

			//put submitted data in a session var to display the result page.
			$_SESSION['submitted_data'] = str_replace("'", "", $message);
			unset($_SESSION['security_code']); //clear the code so it cannot be used again!
			$_SESSION[$submitted_time_key] = time();	//record the time of this submission for this session and page
			print "<script type='text/javascript'>window.location = 'index.php?section=$section&page=$page&modoption=display_result'</script>";
		}
						
	break;
	
	case display_result :
	
		print $thank_you_text.$_SESSION['submitted_data'] ;
		unset($_SESSION['submitted_data']); //clear after print	
		print "<br/><br/><button onclick=\"javascript:parent.location='index.php?section=$section&amp;page=$page'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
	break;
	
	case show_form :
	
		//set a code in a session var which is checked at submit time.
		$submit_check_code = random_code(10) ;
		$_SESSION['submit_check_code'] = $submit_check_code ;
		
		$query = "SELECT name, required, length, id FROM $table_forms WHERE form_id = '".$form_id."' ORDER BY sort";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
		
		//get the fields where input is required and build javascript for input checking
		while ($forms_list = mysqli_fetch_array($result))
		{
			if ($forms_list[1] == 1)
			{
				$form_array[$forms_list[3]] = "$forms_list[2]" ;
			}
		}
?>
<script>
//check if jquery is already loaded, if not load it
if(typeof jQuery == 'undefined') {
document.write('<script type="text/javascript" src="starnet/interface/jquery/jquery.js"></'+'script>');
var __noconflict = true;
}
</script>
<link type="text/css" href="starnet/interface/jquery/jquery-ui-1.8.16.custom.css" rel="stylesheet" />
<script src="starnet/interface/jquery/jquery.validate_nl.js" type="text/javascript"></script>
<script src="starnet/interface/jquery/jquery-ui-1.8.16.custom.min.js" type="text/javascript"></script>
<script src="starnet/interface/jquery/jquery.ui.datepicker-nl.js" type="text/javascript"></script>
<script type="text/javascript">
	$(document).ready(function(){
		$('.datepicker').datepicker({
		changeMonth: true,
		dateFormat: 'dd-mm-yy',
		buttonImage: 'starnet/graphics/DatePicker.gif'
		});
	});
	
	$(document).ready(function() {
		$("#theForm").validate({
		  errorLabelContainer: "#ErrorBox",
<?php
	$count = count($form_array);
	if($count > 0)
	{
		foreach ($form_array as $key => $value)
		{
			$groups .= "forms_input_list[$key] ";
		}
	}
?>	  
	  	  groups: {group1:"<?php echo $groups ?> security_code"},
	  rules: {
<?php
	$i = 1 ;
	if($count > 0)
	{
		foreach ($form_array as $key => $value)
		{
			print "\t\t'forms_input_list[$key]': {
			  required: true";
			if($value == "E")
			{
				print ",\n
				email: true \n";
			}
			if(intval($value) > 2)
			{
				print ",\n
				rangelength: [2, $value]\n";
			}
			print "}";
			if($i < $count )
			{
				print ",\n";
			}
			$i++ ;
		}
	}
	if($i > 1)
	{
		print ",";
	}
	print "security_code: {
			required: true
			}";
	print "\n";
?>
	}
  })
});
</script>
<?php	

//setup variable to get the form in a certain width	
$li_width = $form_width - 12 ;
$label_width = ($form_width/2) - 20 ;
$input_width = $label_width ;
		
		print "<span class=\"sas_module_title\">$welcome_text</span>\n";
		$count = 0;		//used to count the required fields
		$query = "SELECT name, length, required, id, lf FROM $table_forms WHERE form_id = '$form_id' ORDER BY sort";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
	
		print "<br clear=\"all\" />
				<div id=\"ErrorBox\"></div>
				<div id=\"theform\">
				<form name=\"theForm\" id=\"theForm\" method=\"post\" style=\"width: ".$form_width."px;\" action=\"index.php?section=$section&amp;page=$page&amp;modoption=send_email\">\n
				<ol>\n";
		$i = 0;
		$j = 0;
		while ($forms_list = mysqli_fetch_array($result))
		{
			$required = "";
			if ($forms_list[2] == 1)	//required field
			{
				$required = "<span class=\"sas_module_lbl2\">(*)</span>";
				//field is required display (*)
				$count++;
			}

			if (substr($forms_list[1], 0, 1) == "S") //do we have a selection field?
			{
				if (substr($forms_list[1], 0, 2) == "S0") //is this the first one ?
				{
					$form_id = $forms_list[3];
					//save the id for the selection statement
					$select_required = $required;
				}
				$select_list[$j] = $forms_list[0];
				//put field in array
				$j++;
				if (substr($forms_list[1], 0, 2) == "SE") //is this the last one ?
				{
					$title = array_shift($select_list);

					print "<li style=\"width: ".$li_width."px;\">
							\n<label style=\"width: ".$label_width."px;\"><span class=\"sas_module_lbl1\">$title</span> $select_required </label>\n";

					$ind = $i - $j;
					print "<select name=\"forms_input_list[$form_id]\" id=\"id$form_id\">\n";
					foreach ($select_list as $key => $value)
					{
						print "<option value=\"$value\">$value</option>\n";
					}
					print "</select></li>\n";
					$j = 0;
					unset ($select_list);
					//destoy array
				}
			}
			else
			if (substr($forms_list[1], 0, 1) == "R") //do we have a radio button field?
			{
				if (substr($forms_list[1], 0, 2) == "R0") //is this the first one ?
				{
					$form_id = $forms_list[3];
					//save the id for the radio statements
					$radio_required = $required;
				}
				$radio_list[$j] = $forms_list[0];
				//put field in array
				$j++;
				if (substr($forms_list[1], 0, 2) == "RE") //is this the last one ?
				{
					$title = array_shift($radio_list);

					print "<li style=\"width: ".$li_width."px;\">
							\n<label style=\"width: ".$label_width."px;\"><span class=\"sas_module_lbl1\">$title</span> $radio_required</label>\n";
					
					$ind = $i - $j;
					
					foreach ($radio_list as $key => $value)
					{
						print " $value <input type=\"radio\" name=\"forms_input_list[$form_id]\" value=\"$value\" />\n";
					}
					print "</li>\n";
					$j = 0;
					unset ($radio_list);
					//destroy array
				}
			}
			elseif (($forms_list[1] == "0") OR (trim($forms_list[1] == "")))//length=0 no input field just text.
			{
				//we have only text to display
				print "<li style=\"width: ".$li_width."px;\">
						\n<legend style=\"width: 560px; text-align: left;\"><span class=\"sas_module_lbl1\">$forms_list[0]</span></legend>";
			}
			else
			{
				print "<li style=\"width: ".$li_width."px;\">
						\n<label style=\"width: ".$label_width."px;\"><span class=\"sas_module_lbl1\">$forms_list[0]</span> $required</label>"; //print the text of the input field
			}
			if ($forms_list[1] == "CH")		//checkbox
			{
				print "<input type=\"checkbox\" value=\"" . $sas_lang['yes'] . "\" name=\"forms_input_list[$forms_list[3]]\" id=\"id$forms_list[3]\"/></li>\n";
			}
			if (($forms_list[1] == "0") OR (trim($forms_list[1] == "")))//length=0 no input field just text.
			{
				//use hidden field to get the text in the mail when mail is send
				print "<input type=\"hidden\" name=\"forms_input_list[$forms_list[3]]\" id=\"id$forms_list[3]\"/></li>";
			}
			elseif ($forms_list[1] == "1")	//radio button with yes/no
			{
				print $sas_lang['yes'] . "<input class=\"sas_module_input\" type=\"radio\" value=\"" . $sas_lang['yes'] . "\" id=\"id$forms_list[3]\" name=\"forms_input_list[$forms_list[3]]\"/>&nbsp;" . 
						$sas_lang['no'] . "<input class=\"sas_module_input\" type=\"radio\" value=\"" . $sas_lang['no'] . "\" name=\"forms_input_list[$forms_list[3]]\" checked=\"checked\"/></li>\n";
			}
			elseif ($forms_list[1] == "E")	//email field
			{
				print "<input size=\"80\" name=\"forms_input_list[$forms_list[3]]\" id=\"id$forms_list[3]\" style=\"width: ".$input_width."px;\" /></li>\n";
			}
			elseif ((intval($forms_list[1]) <= 80) AND (intval($forms_list[1]) > 0))
			{
				print "<input size=\"$forms_list[1]\" name=\"forms_input_list[$forms_list[3]]\" id=\"id$forms_list[3]\" style=\"width: ".$input_width."px;\" /></li>\n";
			}
			elseif ((intval($forms_list[1]) > 80) AND (intval($forms_list[1]) > 0))
			{
				$rows = ceil(intval($forms_list[1]) / 80);
				print "<textarea name=\"forms_input_list[$forms_list[3]]\" rows=\"$rows\" cols=\"50\" id=\"id$forms_list[3]\" style=\"width: ".$input_width."px;\"></textarea></li>\n";
			}
			elseif (substr($forms_list[1], 0, 1) == "D")	//date field
			{
				$date_format = str_replace('%d', 'dd', $sas_config['dateformat']) ;
				$date_format = str_replace('%Y', 'yyyy', $date_format) ;
				$date_format = str_replace('%m', 'mm', $date_format) ;
				$date1 = time();
				$today = strftime($sas_config['dateformat'], $date1);

				print "<input size=\"11\" value=\"$today\" name=\"forms_input_list[$forms_list[3]]\" id=\"id$forms_list[3]\" class=\"datepicker\"></li>\n";
			}
			$i++;
		}
		
		if ($sas_config['use_captcha'] == "1")
		{
			print "<li style=\"width: ".$li_width."px;\"><label style=\"width: ".$label_width."px;\">".$sas_lang['sessioncode'].": (*)&nbsp;</label>
					<input id=\"security_code\" name=\"security_code\" type=\"text\" style=\"width: ".$input_width."px;\" /><br />
					<img src=\"$cmsdir/interface/CaptchaSecurityImages.php\" />
					</li>";
		}
		
		$_SESSION['som1'] = rand(0,10);
 		$_SESSION['som2'] = rand(0,10);
 		$_SESSION['somfield'] = md5(rand(10,25));
		
		if (($count > 0) OR ($sas_config['use_captcha'] == "1")) //do we have required fields?
		{
			print "<li style=\"width: ".$li_width."px;\">
					\n<label style=\"width: ".$label_width."px;\"><span class=\"sas_module_lbl2\">" . $sas_lang['required_fields'] . "</span></li>";
		}
		print "\n<li style=\"width: ".$li_width."px;\">
				<input id=\"" . $_SESSION['somfield'] . "\" name=\"" . $_SESSION['somfield'] . "\" value=\"\" type=\"hidden\" />
				<input type=\"hidden\" name=\"leegt\" value=\"\" />\n
				<input type=\"hidden\" name=\"submit_check_code\" value=\"".$submit_check_code."\"/>\n
				<button style=\"float: right\" type=\"submit\" class=\"button\"><em><span>" .  $sas_lang['forms_module_send'] . "</span></em></button>
				</li>
				</ol>
				</form>
				</div>";
		print '<script type="text/javascript">document.getElementById(\'' . $_SESSION['somfield'] . '\').value = \'' . ((int)$_SESSION['som1'] + (int)$_SESSION['som2']) . '\'; </script>';
		
	break;
	}
}
?>